#!/usr/bin/env python

import sys
from distutils.core import setup, Extension 
 
if sys.platform == "win32":
	include_dirs = [] #[r'c:\mssql7\DevTools\Include',]
	library_dirs = [r'c:\mssql7\DevTools\Lib',]
	libraries = ["ntwdblib", "kernel32", "user32", "gdi32", "winspool", "comdlg32", "advapi32", "shell32", "ole32", "oleaut32", "uuid", "odbc32", "odbccp32"]
	data_files = [("LIB/site-packages",["ntwdblib.dll",]),
					(".",["ntwdblib.dll",]),
	]
	
else:
	include_dirs = [
		'/usr/include', '/usr/local/include',
		'/usr/include/freetds', '/usr/local/include/freetds'
	]
	library_dirs = [
		'/usr/lib', '/usr/local/lib',
		'/usr/lib/freetds', '/usr/local/lib/freetds'
	]
	libraries = ["sybdb"]
	data_files = []

setup(name = "pymssql", 
	version = "0.5.1", 
	description="pymssql module",
	author = "Joon-cheol Park ", 
	author_email="exman@mizi.com", 
	license = "GPL",
	url="http://pymssql.sourceforge.net", 
	py_modules=[ 'pymssql', ],
	ext_modules=[Extension("_mssql", ["mssqldbmodule.c"],
							include_dirs = include_dirs,
							library_dirs = library_dirs,
							libraries=libraries)],
	data_files=data_files
	) 

